#!/bin/sh
# Fetch the current default setting for new view's "builds
# shareable DO's" boolean property.  Prints "yes" to stdout
# if the property is TRUE, else "no".
#

myname=`basename $0`
usage () {
# TRANSLATE quoted string after echo command
    echo "
用法:  $myname
mkview に指定されない場合は､新規ビューの -shareable_dos/-nshareable_dos
設定のデフォルトを返します。
"
}

if [ "$1" != "" ]; then
    usage
fi

shareable_dos_default=`cleartool lssite view_shareable_dos 2>/dev/null`
if echo "$shareable_dos_default" | grep 'TRUE' >/dev/null 2>&1; then
# TRANSLATE quoted string after echo command
    echo "はい"
else
# TRANSLATE quoted string after echo command
    echo "いいえ"
fi
